Bug 179264 - Windowlistapplets and windowmenuapplets don't work anymore
Windowlistapplets and windowmenuapplets don't work anymore
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 07:06 EST by Daniel Malmgren
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 07:18:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Malmgren 2006-01-29 07:06:50 EST
Description of problem:
Since updating gnome-panel yesterday suddenly my windowlistapple doesn't work
anymore.

Version-Release number of selected component (if applicable):
gnome-panel-2.13.90-1

How reproducible:
100%

Steps to Reproduce:
Either start gnome with a panel configured to include a windowlistapplet or
windowmenuapplet, or try adding one to an already open panel.
  
Actual results:
Det uppstod ett problem i panelen vid inläsning av "OAFIID:GNOME_WindowMenuApplet".

(Which is swedish for something like "An error occured while reading"... etc)

Expected results:
Obvious

Additional info:
I thought I'd find any useful information in .xsession-errors, but that doesn't
seem to exist anymore. However, here is the trace I got from bug-buddy:

Backtrace was generated from '/usr/bin/gnome-panel'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1226295104 (LWP 2478)]
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb74ef7e3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0xb7e8245d in gnome_init_with_popt_table ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0xb7529ea9 in g_logv () from /usr/lib/libglib-2.0.so.0
#5  0xb752a167 in g_log () from /usr/lib/libglib-2.0.so.0
#6  0xb752a1d9 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#7  0xb75ef1dd in do_unref (robj=) at orbit-object.c:149
#8  0xb75f772a in CORBA_any__freekids (mem=0xbfdfaa50, dat=0x0)
    at corba-any.c:757
#9  0xb75f3d20 in CORBA_exception_free_T (ev=0xbfdfaa48) at corba-env.c:14
#10 0xb75f3d94 in CORBA_exception_free (ev=0xbfdfaa48) at corba-env.c:29
#11 0xb75f3e18 in CORBA_exception_set (ev=0xbfdfaa48, 
    major=CORBA_SYSTEM_EXCEPTION, 
    except_repos_id=0xb760d35c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    param=0x8215fe4) at corba-env.c:114
#12 0xb75f3ed1 in CORBA_exception_set_system (ev=0xbfdfaa48, 
    except_repos_id=0xb760d35c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    completed=CORBA_COMPLETED_NO) at corba-env.c:102
#13 0xb75f0449 in ORBit_small_invoke_stub (obj=0x0, m_data=0xb7cb0780, 
    ret=0xbfdfa990, args=0x0, ctx=0x0, ev=0xbfdfaa48) at orbit-small.c:597
#14 0xb75f0520 in ORBit_small_invoke_stub_n (object=0x0, methods=0xb7cb0ac4, 
    index=0, ret=0xbfdfa990, args=0x0, ctx=0x0, ev=0xbfdfaa48)
    at orbit-small.c:575
#15 0xb75fcbc5 in ORBit_c_stub_invoke (obj=0x0, methods=0xb7cb0ac4, 
    method_index=0, ret=0xbfdfa990, args=0x0, ctx=0x0, ev=0xbfdfaa48, 
    class_id=0, method_offset=4, 
    skel_impl=0xb7c84d8b <_ORBIT_skel_small_Bonobo_Control_getProperties>)
    at poa.c:2644
#16 0xb7c89715 in Bonobo_Control_getProperties ()
   from /usr/lib/libbonobo-2.so.0
#17 0xb7dc6e56 in bonobo_control_frame_get_control_property_bag ()
   from /usr/lib/libbonoboui-2.so.0
#18 0x08084602 in panel_applet_frame_activated (object=0x830f0a0, 
    ev=0xbfdfaae8, data=0x821d778) at panel-applet-frame.c:1296
#19 0xb7c74135 in bonobo_moniker_util_parse_name ()
   from /usr/lib/libbonobo-2.so.0
#20 0xb7c74425 in bonobo_moniker_resolve_async_default ()
   from /usr/lib/libbonobo-2.so.0
#21 0xb75ef725 in async_recv_cb (aqe=0x830e820) at orbit-small.c:1144
#22 0xb75e9bcb in giop_invoke_async (ent=0x830e820) at giop.c:604
#23 0xb75ece98 in giop_connection_handle_input (lcnx=0x80f2148)
    at giop-recv-buffer.c:1105
#24 0xb7608abd in link_connection_io_handler (gioc=0x0, condition=)
    at linc-connection.c:1367
#25 0xb760b671 in link_source_dispatch (source=0x830fd38, 
    callback=0xb76089f9 <link_connection_io_handler>, user_data=0x80f2148)
    at linc-source.c:159
#26 0xb7521c33 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0xb7524c73 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#28 0xb752501c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#29 0xb7a2f0bc in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x0806272b in main (argc=7, argv=0xbfdfae24) at main.c:84

Thread 1 (Thread -1226295104 (LWP 2478)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb74ef7e3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0xb7e8245d in gnome_init_with_popt_table ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0xb7529ea9 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0xb752a167 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0xb752a1d9 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#7  0xb75ef1dd in do_unref (robj=) at orbit-object.c:149
	__PRETTY_FUNCTION__ = "do_unref"
#8  0xb75f772a in CORBA_any__freekids (mem=0xbfdfaa50, dat=0x0)
    at corba-any.c:757
No locals.
#9  0xb75f3d20 in CORBA_exception_free_T (ev=0xbfdfaa48) at corba-env.c:14
No locals.
#10 0xb75f3d94 in CORBA_exception_free (ev=0xbfdfaa48) at corba-env.c:29
	__PRETTY_FUNCTION__ = "CORBA_exception_free"
#11 0xb75f3e18 in CORBA_exception_set (ev=0xbfdfaa48, 
    major=CORBA_SYSTEM_EXCEPTION, 
    except_repos_id=0xb760d35c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    param=0x8215fe4) at corba-env.c:114
	__PRETTY_FUNCTION__ = "CORBA_exception_set"
#12 0xb75f3ed1 in CORBA_exception_set_system (ev=0xbfdfaa48, 
    except_repos_id=0xb760d35c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    completed=CORBA_COMPLETED_NO) at corba-env.c:102
	__PRETTY_FUNCTION__ = "CORBA_exception_set_system"
#13 0xb75f0449 in ORBit_small_invoke_stub (obj=0x0, m_data=0xb7cb0780, 
    ret=0xbfdfa990, args=0x0, ctx=0x0, ev=0xbfdfaa48) at orbit-small.c:597
	completion_status =
Comment 1 Matthias Clasen 2006-02-04 23:52:12 EST
Hmm, my applets work fine here. Do you still see this problem ?
Comment 2 Daniel Malmgren 2006-02-05 07:02:46 EST
I still get the same in todays rawhide (still gnome-panel 2.13.90-1).

Note 1: It just noticed that I get the same when trying to put up a
showdesktopapplet on my panel. Besides that, I haven't found any more applets
that crashes like this.

Note 2: I run Fedora devel on a couple machines, but I only see this bug on one
of them. Not quite sure what could be the difference though...
Comment 3 Daniel Malmgren 2006-02-11 07:18:16 EST
With todays rawhide it works again. I guess I'll just close this one...

Note You need to log in before you can comment on or make changes to this bug.